# -*- coding: cp1251 -*-

"""
Задача "Парад роботов"
Шестая индивидуальная Интернет-олимпиада сезона 2009-2010.
Автор задачи: Федор Царев, tsarev@rain.ifmo.ru
Автор решения: Владимир Ульянцев, ulyantsev@rain.ifmo.ru
"""
n, k, coordinates = 0, 0, []

def reading():
    global n, k, coordinates
    inf = open("robots.in", "r")
    [n, k] = [int(s) for s in inf.readline().split()]
    coordinates = [[float(i) for i in s.split()] for s in inf.readlines()]
    inf.close()

def assertions():
    """ Проверка корректности входных данных """
    global n, k, coordinates
    assert 1 <= n <= 100000 
    assert 0 <= k <= n
    assert len(coordinates) == n
    assert len(set([str(i)[1:-1] for i in coordinates])) == n
    for p in coordinates:
        for i in p: 
            assert abs(i) <= 1000

def solve():
    global n, k, coordinates
    _sum = [(sum([p[d] for p in coordinates])) for d in 0, 1]
    for i in xrange(k):
        coordinates[i], _sum = [_sum[0] / n, _sum[1] / n], [_sum[j] * (n + 1) / n - coordinates[i][j] for j in 0, 1] 

def printing():
    global coordinates
    ouf = open("robots.out", "w")
    print>>ouf, "%.3f %.3f" % (coordinates[k - 1][0], coordinates[k - 1][1])
    #for p in coordinates:
        #ouf.write(str(p[0]) + " " + str(p[1]) + "\n")   it works too slow
        #print>>ouf, "%.3f %.3f" % (p[0], p[1])
    ouf.close()

reading()
assertions()
solve()
printing()
